{
  pkgs,
  config,
  ...
}:
let
  ifTheyExist = groups: builtins.filter (group: builtins.hasAttr group config.users.groups) groups;
in
{
  users.users.lander = {
    isNormalUser = true;
    description = "Lander";
    shell = pkgs.zsh;
    extraGroups = ifTheyExist [
      "audio"
      "networkmanager"
      "wheel"
      "lp"
      "scanner"
      "docker"
      "multimedia"
      "vboxusers"
    ];

    packages = with pkgs; [
      home-manager
    ];
  };

  programs.zsh.enable = true;

  home-manager.users.lander = import ../../../../home/lander/${config.networking.hostName}.nix;
}
